Subject: JsonView discards array indexes when using _descendAll
Description

When configuring JsonView like
$this->view->setConfiguration(array(
    'value' => array(
        '_descendAll' => array(
            '_descendAll' => array()
        )
    )
));

the result will be stripped of any array keys.

Associated revisions
Revision 090dd30b - 2013-03-06 10:35 - Karsten Dambekalns

[BUGFIX] Keep array keys with nested _descendAll in JsonView

When nesting _descendAll the JsonView discards array keys. This change
fixes that.

Change-Id: I84ff434cd3e6768c8e58815d1329a36de8d9e6b7
Fixes: #46046
Releases: master, 2.0

Revision b21ad76f - 2013-04-12 14:47 - Karsten Dambekalns

[BUGFIX] Keep array keys with nested _descendAll in JsonView

When nesting _descendAll the JsonView discards array keys. This change
fixes that.

Change-Id: I84ff434cd3e6768c8e58815d1329a36de8d9e6b7
Fixes: #46046
Releases: master, 2.0

History
#1 - 2013-03-06 10:36 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18724

#2 - 2013-04-12 14:47 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19837

#3 - 2013-04-12 15:41 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b21ad76f92ea34d4a0fff26e83c862059e508ca4.
